<template>
	<div class="p-grid">


		<div class="p-col-12">
			<div class="card card-w-title">
                <h1>Order</h1>
				<DataView :value="dataViewCars" :layout="layout" :paginator="true" :rows="10" :sortOrder="sortOrder" :sortField="sortField">
					<!-- <template #header>
						<div class="p-grid p-nogutter">
							<div class="p-col-6" style="text-align: left">
								<Dropdown v-model="sortKey" :options="sortOptions" optionLabel="label" placeholder="Sort By" @change="onSortChange($event)" />
							</div>
						</div>
					</template> -->
                    <template #list="slotProps" >
                        <div class="p-col-12" >
                            <div class="car-details">
                                <div>
                                    <!-- <img :src="'assets/layout/images/car/' + slotProps.data.brand + '.png'" :alt="slotProps.data.brand"/> -->
                                    <div class="p-grid">
                                        <div class="p-col-12">Tên: <b>{{slotProps.data.vin}}</b></div>
                                        <div class="p-col-12">Số Điện Thoại: <b>{{slotProps.data.year}}</b></div>
                                        <div class="p-col-12">Địa Chỉ : <b>{{slotProps.data.brand}}</b></div>
                                        <div class="p-col-12">Hàng: <b>{{slotProps.data.color}}</b></div>
                                        <div class="p-col-12">Màu: <b>{{slotProps.data.color}}</b></div>
                                        <div class="p-col-12">Size: <b>{{slotProps.data.color}}</b></div>
                                        <div class="p-col-12">Khắc: <b>{{slotProps.data.color}}</b></div>
                                         <div class="p-col-12">Màu: <b>{{slotProps.data.color}}</b></div>
                                        <div class="p-col-12">Size: <b>{{slotProps.data.color}}</b></div>
                                        <div class="p-col-12">Khắc: <b>{{slotProps.data.color}}</b></div>
                                        <div class="p-col-12">Ghi Chú: <b>{{slotProps.data.color}}</b></div>
                                    </div>
                                </div>
                                <Button icon="pi pi-search"></Button>
                                <div>Test 123</div>
                            </div>
                            
                        </div>
                        
                    </template>
                    <template #grid="slotProps">
                        <div style="padding: .5em" class="p-col-12 p-md-3">
                            <Panel :header="slotProps.data.vin" style="text-align: center">
                                <img :src="'assets/demo/images/car/' + slotProps.data.brand + '.png'" :alt="slotProps.data.brand"/>
                                <div class="car-detail">{{slotProps.data.year}} - {{slotProps.data.color}}</div>
                                <Button icon="pi pi-search"></Button>
                            </Panel>
                        </div>
                    </template>
				</DataView>
			</div>
		</div>

	</div>

</template>

<script>
import CarService from '../../service/CarService';
import EventService from '../../service/EventService';
import dayGridPlugin from '@fullcalendar/daygrid';
import timeGridPlugin from '@fullcalendar/timegrid';
import interactionPlugin from '@fullcalendar/interaction';
import NodeService from '../../service/NodeService'

export default {
	data() {
		return {
            filters: {},
			dataViewCars: null,
		
		}
	},
	carService: null,
	created() {
		this.carService = new CarService();
	},
	mounted() {
        this.carService.getCarsLarge().then(data => this.dataViewCars = data);
        console.log()
	},
	methods: {
		onSortChange(event){
			const value = event.value.value;
			const sortValue = event.value;

			if (value.indexOf('!') === 0) {
				this.sortOrder = -1;
				this.sortField = value.substring(1, value.length);
				this.sortKey = sortValue;
			}
			else {
				this.sortOrder = 1;
				this.sortField = value;
				this.sortKey = sortValue;
			}
		}
	}
}
</script>

<style lang="scss" scoped>
.p-column-filter {
    margin-top: .5em;
}

/deep/ .p-dropdown {
    width: 12em;
}

/deep/ .p-dataview {
    .car-details {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 2em;

        & > div {
            display: flex;
            align-items: center;

            img {
                margin-right: 14px;
            }
        }
    }

    .car-detail {
        padding: 0 1em 1em 1em;
        margin: 1em;
    }
}

.p-carousel {
	.p-carousel-content {
		.p-carousel-item {
			.car-details {
				> .p-grid {
                    border: 1px solid #b3c2ca;
					border-radius: 3px;
					margin: .3em;
					text-align: center;
					padding: 2em 0 2.25em 0;
				}
			}

			.car-data {
				.car-title {
					font-weight: 700;
					font-size: 20px;
					margin-top: 24px;
				}

				.car-subtitle {
					margin: .25em 0 2em 0;
				}

				button {
					margin-left: .5em;

					&:first-child {
						margin-left: 0;
					}
				}
			}
		}
    }
}

@media (max-width: 1024px) {
	.p-dataview {
        .car-details {
            img {
                width: 75px;
            }
        }
    }
}

.p-dropdown-car-option {
    img {
        vertical-align: middle;
        margin-right: .5em;
        width: 24px;
    }

    span {
        float: right;
        margin-top: .125em;
    }
}
</style>